# Create New Code Analysis Version

Creates a new version of an existing code analysis test with incremented version number.

Endpoint: POST /v1/inspect/analyze/{test_id}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `test_id` (string, required)
    The ID of the existing code analysis test

## Request fields (application/json):

  - `html` (string)

  - `url` (string)

  - `mime` (string)

  - `transfer_encoding` (string)

  - `charset` (string)

## Response 200 fields (application/json):

  - `items` (object, required)
    Details of the created test including ID and links

  - `items.id` (string, required)
    Unique identifier for the created test

  - `items.links` (object, required)
    Hypermedia links for accessing test resources

  - `items.links.self` (string, required)
    URL to access this resource

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

